Describes the map options for Map constructor.

### Hierarchy

- MapOptions

## Index

### Properties

- apiUrl
- attributionControl
- center
- container
- crs
- hash
- layers
- maxZoom
- minZoom
- style
- vector
- zoom

## Properties

### Optional apiUrl

apiUrl: string

- Defined in Map.ts:446

### Optional attributionControl

attributionControl: boolean

- Defined in Map.ts:445

### Optional center

center: number[]

- Defined in Map.ts:439

### container

container: string

- Defined in Map.ts:432

HTML element id as string to initialize the map in.

### Optional crs

crs: any

- Defined in Map.ts:441

### Optional hash

hash: boolean

- Defined in Map.ts:444

### Optional layers

layers: string[]

- Defined in Map.ts:437

### Optional maxZoom

maxZoom: number

- Defined in Map.ts:443

### Optional minZoom

minZoom: number

- Defined in Map.ts:442

### Optional style

style: string

- Defined in Map.ts:438

### vector

vector: boolean

- Defined in Map.ts:436

If true, renders vector tiles by the gl backend. Default is true.

### Optional zoom

zoom: number

- Defined in Map.ts:440

Generated using TypeDoc